
Infrastructure - Feature #6854

add testAssumptionFailure to run listener

2015-02-13 19:56 - Rob Nahf

Status: In Progress Start date: 2015-02-13

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 30%

Category: d1_integration Estimated time: 8.00 hours

Target version: Maintenance Backlog   

Milestone: None Story Points:  

Product Version: *   

Description

JUnit supports a differential result for a unit test if it fails to to not meeting test assumptions, vs. any other exception or assertion

failing.  

Add this to the listener, and come up with a color for the icon that indicates that the test couldn't be run because of poor assumptions.

Associated revisions

Revision 15231 - 2015-02-14 06:30 - Rob Nahf

refs #6854.  added test warning and assumption logic to the webtester, and streamlined testStatus handling and css formatting logic.

Revision 15231 - 2015-02-14 06:30 - Rob Nahf

refs #6854.  added test warning and assumption logic to the webtester, and streamlined testStatus handling and css formatting logic.

History

#1 - 2015-02-14 06:28 - Rob Nahf

- translation missing: en.field_remaining_hours set to 1

- Status changed from New to In Progress

- % Done changed from 0 to 30

- Estimated time set to 8.00

Added the assumption logic, but that usually results in the test to be considered passing.  So also implemented finer-grain test Failure categorizing, to

distinguish between test failures, test errors, and failed test conditions (like procuring test ids to work with), so we can fail with warnings that will be

consistent between running via webtester and via maven.   (the warnings + errors + failures will equal what mvn junit will report as failures.

#2 - 2016-01-26 22:28 - Rob Nahf

work on at a later date...

#3 - 2016-01-26 22:29 - Rob Nahf

- Parent task deleted (#6730)

#4 - 2016-01-26 22:30 - Rob Nahf

- Tracker changed from Task to Feature

- Target version changed from CCI-2.1.0 to Maintenance Backlog
